/* ADD MY CUSTOM CSS STYLE */

/* ADD SLOGAN TO IMG LOGO */
div.sp-column.myTopLogo > div.logo > a:after {
  content: 'Pohořelice';
  /*content: 'Rajhrad';*/
  color: white;
}

/* NO IMAGE PAGE IN VIRTUEMART DETAIL PRODUCT */
body.com-virtuemart.view-productdetails section#sp-section-2 > div.row {
  display: none;
}

/* REPAIR INTRO SLIDE */
.sppb-addon-sp-slider.sp-slider .sppb-sp-slider-title {
  max-width: 100%;
}

/* REPAIR PAGE WITHOUT IMAGES */
section#sp-section-2 {
  min-height: 90px;
}
body.myEmptyTop section#sp-section-2 {
  min-height: auto;
} 

/* SP BUILDER - Full page width */
.myFullRow > div.sppb-row-container {
  max-width: none;
  width: auto;
  padding-left: 0px;
  padding-right: 0px;
}


/* REPAIR CSS !!! */
/*.sp-module-content .mod-languages ul.lang-inline li.lang-active a {
  color: rgba(255, 255, 255, 1);
}
.sp-module-content .mod-languages ul.lang-inline li a {
  color: rgba(255, 255, 255, 0.5);
}
.sp-module-content .mod-languages ul.lang-inline li a:hover, .sp-module-content .mod-languages ul.lang-inline li a:focus {
  color: rgba(255, 255, 255, 1);
}
#sp-header #sp-logo {
  border-bottom: 1px solid rgba(255, 255, 255, 0.7);
}
#sp-header #sp-logo:before, #sp-header #sp-logo:after {
  background-color: rgba(255, 255, 255, 0.7);
}
.sp-megamenu-wrapper > ul {
  border: 1px solid rgba(255, 255, 255, 0.7);
}
.sp-megamenu-wrapper > ul > li:not(:last-child) > a {
  border-right: solid 1px rgba(255, 255, 255, 0.7);
}
#sp-header.header-sticky {
  background: rgba(33, 34, 63, 0.95);
}*/


/* STYLING DEFAULT ELEMENT */
p:last-child {
  margin-bottom: 0px;
}
h2, h3, h4 {
  /*color: black;*/
  /*font-weight: bold;*/
}


/* MAIN CONTENT */
body:not(.home-page) section#sp-main-body main#sp-component .sppb-row-container {
  /*padding-left: 0px;*/
  /*padding-right: 0px;*/
}
section#sp-main-body main#sp-component p:last-child {
  /*margin-bottom: 0px;*/
}


/* VM STYLING */
body.com-virtuemart.view-category #sp-main-body,
body.com-virtuemart.view-productdetails #sp-main-body {
  padding-top: 20px;
  padding-bottom: 20px;
}
/* VM STYLING - category */
body.com-virtuemart.view-category #sp-main-body .browse-view {
  margin-bottom: 0px;
}
/* VM STYLING - category - header (order and number of page) */
body.com-virtuemart.view-category #sp-main-body .orderby-displaynumber {
  border: 0px;
}
body.com-virtuemart.view-category #sp-main-body .orderby-displaynumber .display-number {
  line-height: 22px;
  font-size: 14px;
}
body.com-virtuemart.view-category #sp-main-body .orderby-displaynumber .display-number select {
  padding: 0px 0px 3px 12px;
  height: 27px !important;
  line-height: 22px !important;
  font-size: 17px;
  max-height: none;
  display: block;
  width: auto;
  margin-left: auto;
  min-width: 72px;
}
/* VM STYLING - category - bottom pagination */
.vm-pagination.vm-pagination-bottom,
.vm-pagination.vm-pagination-bottom .vm-page-counter {
  float: none;
}
.vm-pagination.vm-pagination-bottom ul.pagination {
  justify-content: center;
  margin-top: 25px;
  margin-bottom: 0px;
}
.vm-pagination.vm-pagination-bottom .vm-page-counter {
  display: block;
  text-align: right;
}
/* VM STYLING - category - description */
body.com-virtuemart.view-category #sp-main-body .category_description h1 {
  color: #a78963;
}
/* VM STYLING - category - products list */
body.com-virtuemart.view-category #sp-main-body .browse-view .myProductsList {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
  justify-content: flex-start;
  align-items: stretch;
  width: 100%;
}
body.com-virtuemart.view-category #sp-main-body .browse-view .myProductsList .product.vm-col.vm-col-3 {
  width: 30.3%;
}
body.com-virtuemart.view-category #sp-main-body .browse-view .myProductsList .product.vm-col.vm-col-3:nth-child(n+4) {
  margin-top: 52px;
}
body.com-virtuemart.view-category #sp-main-body .browse-view .myProductsList .product.vm-col.vm-col-3:nth-child(3n+2),
body.com-virtuemart.view-category #sp-main-body .browse-view .myProductsList .product.vm-col.vm-col-3:nth-child(3n+3) {
  margin-left: 4.55%;
}
body.com-virtuemart.view-category #sp-main-body .browse-view .myProductsList .product .spacer {
  border: 0px;
  box-shadow: 0px 12px 18px -6px rgb(0 0 0 / 30%);
  padding-top: 3px;
  padding-right: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
  border-radius: 5px;
  height: 100%;
  box-sizing: border-box;
  margin: 0px;
}
/* VM STYLING - category - products list - content - title */
body.com-virtuemart.view-category div.myProductsList .product .spacer h2 {
  font-weight: 700;
  font-size: 15px;
  text-align: left;
}
body.com-virtuemart.view-category div.myProductsList .product_s_desc {
  font-size: 16px;
  font-weight: 500;
  color: #666;
}
/* VM STYLING - category - products list - content - price */
body.com-virtuemart.view-category div.myProductsList div.product-price div.PricesalesPrice > .vm-price-desc {
  display: none;
}
body.com-virtuemart.view-category div.myProductsList div.product-price div.PricesalesPrice > .PricesalesPrice {
  color: #800000;
  font-weight: 700;
  font-size: 18px;
}
/* VM STYLING - category - products list - image */
body.com-virtuemart.view-category #sp-main-body .myProductsList .vm-product-media-container {
  margin-bottom: 28px;
  position: relative;
}
body.com-virtuemart.view-category #sp-main-body .myProductsList .vm-product-media-container:before {
  content: '';
  display: block;
  padding-top: 100%;
}
body.com-virtuemart.view-category #sp-main-body .myProductsList .vm-product-media-container img {
  width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  height: 100%;
  object-fit: scale-down;
  /*object-fit: cover;*/
}
/* VM STYLING - category - products list - custom field (ingredience) */
body.com-virtuemart.view-category #sp-main-body .myProductsList .product-field-display > br {
  display: none;
}
/* VM STYLING - product detail */
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails {
  margin-bottom: 25px;
}
@media (min-width: 768px) {
  body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .vm-product-container .vm-product-media-container,
  body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .vm-product-container .vm-product-details-container {
    width: 50%;
  }
}
@media (max-width: 767px) {
  body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .vm-product-container .vm-product-media-container,
  body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .vm-product-container .vm-product-details-container {
    width: 100%;
    float: none; 
  }
  body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .vm-product-container .vm-product-details-container .spacer-buy-area {
    padding-left: 0px;
  }
}
/* VM STYLING - product detail - title */
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails h1 {
  color: #a78963;
}
/* VM STYLING - product detail - short desc */
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .product-short-description {
  font-size: 16px;
  font-weight: 500;
  color: #666;
}
/* VM STYLING - product detail - main image */
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails div.main-image img {
  margin-left: auto;
  margin-right: auto;
}
/* VM STYLING - product detail - pop up images */
body.com-virtuemart.view-productdetails #fancybox-title {
  display: none !important;
}
/* VM STYLING - product detail - price */
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails div.product-price div.PricesalesPrice .PricesalesPrice {
  color: #800000;
  font-weight: bold;
  font-size: 24px;
}
/* VM STYLING - product detail - ingredience */
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .addtocart-area > form > .vm-customfields-wrap {
  margin-top: 13px;
}
body.com-virtuemart.view-productdetails div.productdetails-view.productdetails .addtocart-area > form > .vm-customfields-wrap .product-field-display > br:first-child {
  display: none;
}


/* REPAIR JIDELNI LISTEK !!! */
.sppb-addon-pricelist .pricelist-title {
  font-size: 15px;
}
section.sppb-section.mySpPriceList h5.sppb-addon-title {
  font-size: 26px;
  font-weight: bold !important;
  margin-top: 72px !important;
  font-style: italic;
}
section.sppb-section.mySpPriceList .sppb-addon-pricelist .pricelist-price-content .pricelist-price {
  font-size: 20px;
}
/* REPAIR JIDELNI LISTEK !!! - part 2 */
section.sppb-section.mySpPriceList.myDinnerPrice .d-flex {
  justify-content: space-between;
}
section.sppb-section.mySpPriceList.myDinnerPrice .sppb-addon-spdiner-pricelist .price-position-right .sppb-addon-title-wrap {
  padding-right: 0px;
}
section.sppb-section.mySpPriceList.myDinnerPrice .sppb-addon-pricelist .sppb-addon-title {
  margin-bottom: 0px !important;
}
section.sppb-section.mySpPriceList.myDinnerPrice .sppb-addon-pricelist .pricelist-price-content .pricelist-price {
  font-size: 24px;
}
/* REPAIR JIDELNI LISTEK !!! - part 3 */
section.sppb-section.mySpPriceList.myJidelniListek .pricelist-title-content {
  align-items: flex-start;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: flex-start;
}
section.sppb-section.mySpPriceList.myJidelniListek .sppb-addon-pricelist .pricelist-title {
  flex: 0 1 auto;
  white-space: pre-wrap;
  text-align: justify;
}
section.sppb-section.mySpPriceList.myJidelniListek .pricelist-line {
  flex: 1 1 auto;
  min-width: 30px;
  margin-top: 13px;
  max-width: none;
}
